/* File *******************************************************************
*					North Carolina State University
*					Electronics Research Laboratory
*
* FILENAME :    s2ibis2.c
*
* DESCRIPTION : This file contains the main routine for s2ibis2. 
*
*
* $Id: s2ibis2.c,v 0.91 1995/09/27 16:51:51 awglaser Exp $
*
*
* $Log: s2ibis2.c,v $
*   Revision 0.91  1995/09/27  16:51:51  awglaser
*   Added Id, Log and copyright info to file header.
*   Changed intro message to use VERSION_STRING for version info
*   Added Id info to object code
*
* Revision 0.91  1995/09/27 15:37:34  awglaser
* Added Id, Log and copyright info to header.
* Also added Id string as static char to object file.
*
*
*
* Copyright 1994, North Carolina State University.
*
* North Carolina State University (NCSU) and the author hereby disclaim
* all implied warranties, including the implied warranties of merchant-
* ability and fitness for a particular purpose. NCSU is not liable for
* any damages incurred by the use of this software and/or documentation,
* including direct, indirect, special, incidental, or consequential
* damages.
*
* NCSU grants the bearer the right to modify, copy, and redistribute
* this software and documentation, but requests that NCSU be acknowledged
* for its contribution in the resulting product.
*
*H*/


#include <stdio.h>
#include "s2ibis.h"

int maimed;

main(int argc, char **argv)

{
char 			inputFileName[20];
ibisTOP_Pt		ibisHead_P;		/* Ptr to head of IBIS structure */
ibisGlobal_Pt	ibisGlobal_P;	/* Ptr to global vars data structure */
ibisComponent_Pt component_P;
char 			*result;

/* The following line inserts RCS version info into the object */
static char rcsid[] = "$Id: s2ibis2.c,v 0.91 1995/09/27 16:51:51 awglaser Exp $";

fprintf( stderr, "s2ibis2 v%s -- North Carolina State University\n",
		 VERSION_STRING );
fprintf( stderr, "*** This is a beta release -- use with caution! ***\n\n" );

/* Get s2ibis input file */
if(argc > 1)
    strcpy(inputFileName, argv[1]);
else
    {
    fprintf( stdout, "input file: ");
    fscanf( stdin, "%s", inputFileName);
    }
s2ibisRead( inputFileName, &ibisHead_P, 
			&ibisGlobal_P, "new", &result );
completeDataStructures( ibisGlobal_P, ibisHead_P );

for ( component_P = ibisHead_P->components_P;
	  component_P != NULL;
	  component_P = component_P->nextComponent_P )
	analyzeComponent( component_P, ibisHead_P->spiceType, ibisHead_P->iterate,
					  ibisHead_P->cleanup, ibisHead_P->spiceCommand );

s2ibisPrint( ibisHead_P );		/* print results of our work */
delete_TOP( &ibisHead_P );		/* clean up after we're done */
return( 0 );
}
