/* File *******************************************************************
*					North Carolina State University
*					Electronics Research Laboratory
*
* FILENAME :	s2istrng.h
*
*
* DESCRIPTION :	Provides string constants needed by s2ibis2.
*
*
* $Id: s2istrng.h,v 0.91 1995/09/20 19:10:33 awglaser Exp $
*
*
* $Log: s2istrng.h,v $
*   Revision 0.91  1995/09/20  19:10:33  awglaser
*   Removed "POST" from HSpice options string (should correct the
*   	"file-spewing" problem)
*   Added standard file header with Id, Log and copyright info.
*
*
*
* Copyright 1994, North Carolina State University.
*
* North Carolina State University (NCSU) and the author hereby disclaim
* all implied warranties, including the implied warranties of merchant-
* ability and fitness for a particular purpose. NCSU is not liable for
* any damages incurred by the use of this software and/or documentation,
* including direct, indirect, special, incidental, or consequential
* damages.
*
* NCSU grants the bearer the right to modify, copy, and redistribute
* this software and documentation, but requests that NCSU be acknowledged
* for its contribution in the resulting product.
*
*H*/

char	*spiceNameString[] = 
				{
				"HSpice",
				"PSpice",
				"SPICE2",
				"Spice3",
				"Spectre"
				};

char	*defaultSpiceCommand[] =
				{
				"hspice %s >%s 2>%s",
				"pspice %s %s /D0",
				"spice %s %s",
				"spice3 -b %s >%s 2>%s",
				"spectre -f nutascii %s -r %s >%s"
				};

char	*temperatureString[] = 
				{
				".TEMP %g\n",
				".TEMP %g\n",
				".TEMP %g\n",
				".OPTIONS TEMP=%g\n",
				".TEMP %g\n"
				};

char	*spiceOptions[] = 
				{
				".OPTIONS INGOLD=2\n",
				"",
				"",
				"",
				""
				};

char	*spicePrintVIString[] =
				{
				".PRINT DC I(VOUTS2I)\n",
				".PRINT DC I(VOUTS2I)\n",
				".PRINT DC I(VOUTS2I)\n",
				".PRINT DC I(VOUTS2I)\n",
				".PRINT DC I(VOUTS2I)\n"
				};

char	*spicePrintTranString[] =
				{
				".PRINT TRAN V(%s)\n",
				".PRINT TRAN V(%s)\n",
				".PRINT TRAN V(%s)\n",
				".PRINT TRAN V(%s)\n",
				".PRINT TRAN V(%s)\n"
				};

char	*dataEndMarker[] =
				{
				"job",
				"",
				"Y",
				"CPU",
				""
				};

char	*VIDataBeginMarker[] = 
				{
				"transfer",
				"DC TRANSFER",
				"X",
				"Index",
				"Values"
				};

char	*VIDataConversionString[] =
				{
				"%le %le \n",
				"%le %le \n",
				"%le %le \n",
				"%*d %le %le \n",
				"%*d %le %*le %le \n"
				};

char	*tranDataBeginMarker[] =
				{
				"analysis",
				"TIME",
				"X",
				"Index",
				"Values"
				};

char	*tranDataConversionString[] =
				{
				"%le %le \n",
				"%le %le \n",
				"%le %le \n",
				"%*d %le %le \n",
				"%*d %le \n %le \n"
				};

char	*abortMarker1[] = 
				{
				"aborted",
				"ABORT",
				"ABORT",
				"aborted",
				"terminated"
				};

char	*abortMarker2[] =
				{
				"",
				"ERROR",
				"",
				"",
				""
				};

char	*curveNameString[] = 
				{
				"pullup",
				"pulldown",
				"power clamp",
				"ground clamp",
				"pullup (output disabled)",
				"pulldown (output disabled)",
				"rising ramp",
				"falling ramp",
				"rising waveform",
				"falling waveform"
				};

char	*spiceFileTypPrefix[] = 
				{
				"put",
				"pdt",
				"pct",
				"gct",
				"dut",
				"ddt",
				"rut",
				"rdt",
				"a",
				"x"
				};

char	*spiceFileMinPrefix[] = 
				{
				"pun",
				"pdn",
				"pcn",
				"gcn",
				"dun",
				"ddn",
				"run",
				"rdn",
				"b",
				"y"
				};

char	*spiceFileMaxPrefix[] = 
				{
				"pux",
				"pdx",
				"pcx",
				"gcx",
				"dux",
				"ddx",
				"rux",
				"rdx",
				"c",
				"z"
				};

char	*dummyNodeName[]  = 
				{
				"13806",
				"16021",
				"91095",
				"16021",
				"13605",
				"88542",
				"12566",
				"10545",
				"29979",
				"66720"
				};
